{% extends 'base.html' %}

{% block content %}
  <nav class="navbar navbar-light bg-light p-3">

    <form action="" class="d-flex ms-1" id="filter">
      <label class="navbar-text">Фильтр по категории</label>
      <select class="form-select me-2 " aria-label="Default select example" id="select_filter">
        <option value="-" selected>Все категории</option>
        {% for category in data.categories %}
        <option value="{{ category.id }}">{{ category.name }}</option>
        {% endfor %}
      </select>
      <a href="" class="btn btn-primary" id="filterSubmit">Применить</a>
{#      <button type="submit" class="btn btn-primary">Применить</button>#}
    </form>

    <a href="{{ url_for('dish_edit', id=0) }}" class="btn btn-outline-primary"><i class="bi bi-plus-lg"></i> Добавить новое блюдо</a>

  </nav>

  <div class="row">
    <div class="p-3 pb-md-4 mx-auto text-center">
      {% set ns = namespace(catname = "") %}
      <table class="table table-sm table-hover">
        <thead>
        <tr>
          <th scope="col">#</th>
          <th scope="col-2">Название</th>
          <th scope="col">Сортировка</th>
          <th scope="col-3">Ингридиенты</th>
          <th scope="col">Вес</th>
          <th scope="col">Ед.изм.</th>
          <th scope="col">Цена</th>
          <th scope="col">Активен</th>
          <th scope="col col2">Действия</th>
        </tr>
        </thead>
        <tbody>
        {% for dish in data.dishes %}
          {% if not (dish.category.name == ns.catname) %}
            <tr  class="table-light row-title">
              <td colspan="9">{{ dish.category.name }}</td>

            </tr>
          {% set ns.catname = dish.category.name %}
          {% endif %}
          <tr class="{{ "" if dish.is_active else "text-muted" }} align-middle">
            <td scope="row">{{ dish.id }}</td>
            <td class="text-start">{{ dish.category.name }}/{{ dish.name }}</td>
            <td>{{ dish.sort_pn }}</td>
            <td class="text-start">{{ dish.ingridients }}</td>
            <td>{{ dish.weight }}</td>
            <td>{{ dish.measures }}</td>
            <td>{{ '%0.2f'|format(dish.price) }}</td>

            <td class="{{ "green" if dish.is_active else "red" }}">
              {% if dish.is_active %}
                <i class="bi bi-check"></i>
              {% else %}
                <i class="bi bi-x"></i>
              {% endif %}

            </td>
            <td style="min-width: 250px">
              <a href="{{ url_for('dish_edit', id=dish.id) }}" class="action-edit"><i class="bi bi-pencil-square"></i> Редактировать</a>
              &nbsp; &nbsp; &nbsp;
              <a href="{{ url_for('dish_delete', id=dish.id, del=True) }}" class="action-remove">
                <i class="bi bi-trash"></i> Удалить</a>
            </td>
          </tr>
        {% endfor %}
      </table>

    </div>
  </div>

  <script>
    document.getElementById('filterSubmit').addEventListener("click", (el)=>{
        el.preventDefault();
        let sel = document.getElementById('select_filter');
        let sel_val = sel.options[sel.selectedIndex].value;
        let go_url = "{{ url_for('dishes_list') }}";
        if (sel_val !== '-') {
          go_url += "?filter="+sel_val;
        }
        document.location.href = go_url;
    })
  </script>

{% endblock %}